//-------------------------------------------
// Copyright (c) 2020-2025, Redpoll's 60.
// https://www.eproph527tw.com/
//-------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;



public static class BSData 
{
	public static bool c_SHOW_COORDINATE_SCALE = true;			

	public static readonly float c_DefaultFOV = 60.0f;

	public static readonly float c_DefaultNearDist = 0.5f;    

	public static readonly float c_DefaultFarDist  = 500.0f;

	public static BSCameraController2D CameraController2D;

	public static BSCameraController3D CameraController3D;

	public static List<BSText> AuxTextList = new List<BSText>();

	public static List<BSText> Coord2DScaleX = new List<BSText>();

	public static List<BSText> Coord2DScaleY = new List<BSText>();

	public static float c_LetterScale_SecCode = 0.054f;

	public static float c_LetterScale_Regular = 0.048f;

	public static float c_LetterRatio = 17.0f / 44.0f;

	public static BSText AuxText_Sec;

	public static BSText AuxText_Code;

	public static Vector2 c_AuxTextRelaPos_Sec = new Vector2(-0.88f, 0.80f);

	public static Vector2 c_AuxTextRelaPos_Code = new Vector2(-0.735f, 0.80f);

	public static int ScreenW; 

	public static int ScreenH;

	public static Dictionary<string, GameObject> RunObjectDict;	

	public static int CHAPTER_NR;      

	public static Material LineMaterial; 

	public static readonly Color BackgroundColor = new Color(0.608f, 0.608f, 0.608f);

}
