﻿//-------------------------------------------
// Copyright (c) 2020-2025, Redpoll's 60.
// https://www.eproph527tw.com/
//-------------------------------------------


using System.Collections;
using System.Collections.Generic;
using UnityEngine;

using OQJ_BSSuperMain;
using OQJ_Sec101;
using OQJ_Sec102;
using OQJ_Sec103;
using OQJ_Sec104;
using OQJ_Sec105;
using OQJ_Sec106;
using OQJ_Sec107;
using OQJ_Sec108;
using OQJ_Sec109;
using OQJ_Sec110;


namespace OQJ_Main01
{
	public class Main01 : BSSuperMain
	{
		public Main01()
		{
			BSSuperExe[] eos = 
			{
				Sec101.PRGSI(), Sec102.PRGSI(), Sec103.PRGSI(), Sec104.PRGSI(), Sec105.PRGSI(),
				Sec106.PRGSI(), Sec107.PRGSI(), Sec108.PRGSI(), Sec109.PRGSI(), Sec110.PRGSI()
			};


			string[] repres =	
			{	
				"DiskB", "Square", "Octagon", "Circle",
				"QrCircle", "UnitPointB", "SmallPoint"
			};	


			BSData.CHAPTER_NR = 1;


			m_CoordinateSystemType = c_2D;	
			m_ExeObjs = eos;
			m_RunObjRepres = repres;	
		}


		protected override void InitAuxObjects()
		{
			BSAuxFuncs.CreateAuxCircle();

			BSAuxFuncs.CreateAuxLine();
		}	

	}
}

