//-------------------------------------------
// Copyright (c) 2020-2025, Redpoll's 60.
// https://www.eproph527tw.com/
//-------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;




namespace OQJ_Sec302
{
	public class Sec302 : BSSuperExe
	{
		// Objects
		THObject3D CrdSys;




		void Code1()
		{
			// (例2)
			Vector3 P = new Vector3(1, 2, -3);
			Vector3 v = new Vector3(3, 4, -1);
			Vector3 P1 = P + v;
			Debug.Log(P1);
			
			// (例4)
			Vector3 Q = new Vector3(-5, 3, 2);
			Vector3 w = new Vector3(4, 4, -3);
			Vector3 Q1 = Q + 6.0f * w.normalized;
			Debug.Log("(" + Q1.x + ", " + Q1.y + ", " + Q1.z + ")");
			
			// (例5)
			Q = new Vector3(-2, 2, 1);
			Vector3 R = new Vector3(5, 3, -1);
			w = R - Q;
			Vector3 R1 = Q + 10.0f * w.normalized;
			Debug.Log("(" + R1.x + ", " + R1.y + ", " + R1.z + ")");
		}






///////////////////////////////////////////////////////////////////////////
//////////////////////////////// Backstage ////////////////////////////////


		public override void Update()
		{
			PreProcess();

			switch (THSettings.CODE_NR)
			{
				case 1 :	Code1();  break;

			}

			PostProcess();
		}


		void PreProcess()
		{
		}


		void PostProcess()
		{
		}


		static Sec302 pr_instance = new Sec302(1);

		public static Sec302 PRGSI()
		{
			return pr_instance;
		}


		private Sec302(int num_code) : base(num_code) { }


		public override void Initialize()
		{
			if(!pr_LOAD_OBJECTS)
			{
				CrdSys = CreateObject_Obj3D("CoordinateSystem3D");

				pr_LOAD_OBJECTS = true;
			}


			Preset();
		}


		protected override void Preset()
		{
			Vector3 CamPos;
			Vector3 TrgPos;
			Vector3 uJ;
			
			BSAuxFuncs.SetVisible(1, CrdSys.gameObject);
			CrdSys.SetMatrix(Matrix4x4.identity);
			
			if (MatchCase(1))
			{
				CamPos = new Vector3(0.0f, 4.0f, -8.0f);
				TrgPos = Vector3.zero;
				uJ = Vector3.up;
				SetCameraPosition_3D(CamPos, TrgPos, uJ);
				
				pr_LOOP_CODE = false;
			}
		}

	}

}
