//-------------------------------------------
// Copyright (c) 2020-2025, Redpoll's 60.
// https://www.eproph527tw.com/
//-------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;




namespace OQJ_Sec102
{
	public class Sec102 : BSSuperExe
	{
		// Objects
		THObject2D CrdSys;




		void Code1()
		{
			// (1)
			Vector2 P = new Vector2(2, 1);
			Vector2 v = new Vector2(3, 2);
			Vector2 P1 = P + v;
			Debug.Log(P1);
			
			// (2)
			Vector2 Q = new Vector2(3, -1);
			Vector2 w = new Vector2(5, -2);
			Vector2 Q1 = Q - w;
			Debug.Log(Q1);
		}


		void Code2()
		{
			// (1)
			Vector2 A = new Vector2(-11, 6);
			Vector2 va = new Vector2(2, 3);
			Vector2 A1 = A + 3.0f * va;
			Debug.Log(A1);
			
			// (2)
			Vector2 B = new Vector2(22, 33);
			Vector2 vb = new Vector2(4, -6);
			Vector2 B1 = B - 5.0f * vb;
			Debug.Log(B1);
		}






///////////////////////////////////////////////////////////////////////////
//////////////////////////////// Backstage ////////////////////////////////


		public override void Update()
		{
			PreProcess();

			switch (THSettings.CODE_NR)
			{
				case 1 :	Code1();  break;

				case 2 :	Code2();  break;

			}

			PostProcess();
		}


		void PreProcess()
		{
		}


		void PostProcess()
		{
		}


		static Sec102 pr_instance = new Sec102(2);

		public static Sec102 PRGSI()
		{
			return pr_instance;
		}


		private Sec102(int num_code) : base(num_code) { }


		public override void Initialize()
		{
			if(!pr_LOAD_OBJECTS)
			{
				CrdSys = CreateObject_Obj2D("CoordinateSystem2D");

				pr_LOAD_OBJECTS = true;
			}

			SetOutputImageSize(10.2f, 400);
			
			SetCameraPosition_2D(0, 0);

			Preset();
		}


		protected override void Preset()
		{
			BSAuxFuncs.SetVisible(1, CrdSys.gameObject);
			CrdSys.SetMatrix(THMatrix3x3.identity);
			
			
			if (MatchCase(1, 2))
			{
				pr_LOOP_CODE = false;
			}
		}

	}

}
