﻿//-------------------------------------------
// Copyright (c) 2020-2025, Redpoll's 60.
// https://www.eproph527tw.com/
//-------------------------------------------

using System.Collections.Generic;
using UnityEngine;


namespace OQJ_THShell3D
{
	public class THShell3D : THObject3D
	{

		public Vector3 direction;

		public float speed;

		public bool rebound;

		public int reboundCount;

		public bool adjustment;

		public Matrix4x4 rotMatrix;

		public int count;


		bool m_active;
		public bool active
		{
			get { return m_active; }

			set
			{
				m_active = value;

				if(m_active == true)
				{
					count = 0;
				}	
			}
		}
	


		public Vector3 position
		{
			get
			{
				return transform.position;
			}

			set
			{
				transform.position = value;
			}
		}


		public Quaternion rotation
		{
			get
			{
				return transform.rotation;
			}

			set
			{
				transform.rotation = value;
			}
		}


		public THShell3D(GameObject go) : base(go)
		{
		}

	}

}

